<?php

    use PHPMailer\PHPMailer\PHPMailer;
    use PHPMailer\PHPMailer\Exception;

    require 'src/Exception.php';
    require 'src/PHPMailer.php';
    require 'src/SMTP.php';

    $msgBody = "
        <b>İsim Soyisim:</b> {$_POST['namesurname']}<br>
        <b>Telefon:</b> {$_POST['phone']}<br>
        <b>Email:</b> {$_POST['email']}<br>
        <b>Konu:</b> {$_POST['subject']}<br>
        <hr /><b>Mesaj:</b><br>
        {$_POST['message']}
    ";
        //$msgBody = "test yazısı";

        $mail = new PHPMailer(true);
        try {
            //Server settings
            $mail->CharSet = 'UTF-8';
            $mail->SMTPDebug = 0; // debug on - off
            $mail->isSMTP(); 
            $mail->Host = 'smtp.hostinger.com'; // SMTP sunucusu örnek : mail.alanadi.com
            $mail->SMTPAuth = true; // SMTP Doğrulama
            $mail->Username = ''; // Mail kullanıcı adı
            $mail->Password = ''; // Mail şifresi
            $mail->SMTPSecure = 'ssl'; // Şifreleme
            $mail->Port = 465; // SMTP Port
            $mail->SMTPOptions = array(
                'ssl' => array(
                    'verify_peer' => false,
                    'verify_peer_name' => false,
                    'allow_self_signed' => true
                )
            );
            //Alıcılar
            $mail->setfrom('', 'test');
            $mail->addAddress('');
            $mail->addReplyTo('');
            //İçerik
            $mail->isHTML(true);
            $mail->Subject = $_POST['subject'];
            $mail->Body = $msgBody;

            $mail->send();
            
            echo "
            <script>
                window.location = 'mgmserv.com/?mail=success';
            </script>
            ";
        } catch (Exception $e) {
            echo "
            <script>
                window.location = 'mgmserv.com/?mail=error';
            </script>
            ";
            //echo 'Mesajınız bir hata nedeniyle iletilemedi. Hata: ', $mail->ErrorInfo;
        }

?>